{"title":"Get salesInvoiceLines","url":"https://jonas-paprotka.de/docs/dev-itpro/api-reference/v2.0/api/dynamics_salesinvoiceline_get/","by":"JOP-AL","license":"Copyright (c) Microsoft Corporation. CC BY 4.0, https://creativecommons.org/licenses/by/4.0/; code samples MIT. From https://learn.microsoft.com/en-us/dynamics365/business-central/dev-itpro/api-reference/v2.0/api/dynamics_salesinvoiceline_get, MicrosoftDocs/dynamics365smb-devitpro-pb at 828b6ee (2026-11-19). Changed: includes filled in, links to this site, and for agents shortened without dropping a fact.","credit":"Microsoft Corporation, CC BY 4.0","origin":"https://learn.microsoft.com/en-us/dynamics365/business-central/dev-itpro/api-reference/v2.0/api/dynamics_salesinvoiceline_get","source":{"name":"Business Central developer and IT pro docs","repo":"https://github.com/MicrosoftDocs/dynamics365smb-devitpro-pb","commit":"828b6ee72fcd75755627cd6011f3d20899217ab2","date":"2026-11-19"},"checked":"2026-11-19","description":"Gets a sales invoice line object in Dynamics 365 Business Central.","date":"2026-08-21","meta":{"topic":"reference"},"outline":[{"level":2,"title":"Prerequisites","slug":"prerequisites","at":95,"chars":17},{"level":2,"title":"HTTP request","slug":"http-request","at":112,"chars":334},{"level":2,"title":"Request headers","slug":"request-headers","at":446,"chars":72},{"level":2,"title":"Request body","slug":"request-body","at":518,"chars":61},{"level":2,"title":"Response","slug":"response","at":579,"chars":129},{"level":2,"title":"Example","slug":"example","at":708,"chars":1301},{"level":2,"title":"Related information","slug":"related-information","at":2009,"chars":236}],"text":"Retrieve the properties and relationships of a sales invoice line object for Business Central.\n## Prerequisites\n## HTTP request\nReplace the URL prefix for Business Central depending on environment following the guideline<../endpoints-apis-for-dynamics>.\n```\nGET businesscentralPrefix/companies({id})/salesInvoices({id})/salesInvoiceLines({salesInvoiceLineId})\nGET businesscentralPrefix/companies({id})/salesInvoiceLines({salesInvoiceLineId})\n```\n## Request headers\nHeader|Value\nAuthorization|Bearer {token}. Required.\n## Request body\nDon't supply a request body for this method.\n## Response\nIf successful, this method returns a ```200 OK``` response code and a salesInvoiceLines object in the response body.\n## Example\nRequest\nHere's an example of the request.\n```json\nGET https://{businesscentralPrefix}/api/v2.0/companies({id})/salesInvoices({id})/salesInvoiceLines({salesInvoiceLineId})\n```\nResponse\nHere's an example of the response.\n> NOTE\n> The response object shown here may be truncated for brevity. All of the properties will be returned from an actual call.\n```json\n{\n    \"id\": \"238cb9c0-44e3-ea11-bb43-000d3a2feca1\",\n    \"documentId\": \"9e0f5c9c-44e3-ea11-bb43-000d3a2feca1\",\n    \"sequence\": 10000,\n    \"itemId\": \"02a6738a-44e3-ea11-bb43-000d3a2feca1\",\n    \"accountId\": \"00000000-0000-0000-0000-000000000000\",\n    \"lineType\": \"Item\",\n    \"lineObjectNumber\": \"1928-S\",\n    \"description\": \"AMSTERDAM Lamp\",\n    \"unitOfMeasureId\": \"5ca6738a-44e3-ea11-bb43-000d3a2feca1\",\n    \"unitOfMeasureCode\": \"PCS\",\n    \"unitPrice\": 54.9,\n    \"quantity\": 3,\n    \"discountAmount\": 0,\n    \"discountPercent\": 0,\n    \"discountAppliedBeforeTax\": false,\n    \"amountExcludingTax\": 164.7,\n    \"taxCode\": \"FURNITURE\",\n    \"taxPercent\": 5,\n    \"totalTaxAmount\": 8.24,\n    \"amountIncludingTax\": 172.94,\n    \"invoiceDiscountAllocation\": 0,\n    \"netAmount\": 164.7,\n    \"netTaxAmount\": 8.24,\n    \"netAmountIncludingTax\": 172.94,\n    \"shipmentDate\": \"2020-08-21\",\n    \"itemVariantId\": \"00000000-0000-0000-0000-000000000000\"\n}\n```\n## Related information\nTips for working with the APIs<../../../developer/devenv-connect-apps-tips>\n../resources/dynamics_salesinvoiceline\ndynamics_salesinvoiceline_delete\ndynamics_salesinvoiceline_create\ndynamics_salesinvoiceline_update"}